Skip to main content
PUT
Update a sponsor deliverable

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

sponsorId
integer
required

Record ID in the authenticated organization.

Example:

42

deliverableId
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
status
enum<string>
required

Deliverable status.

Available options:
pending,
in_progress,
completed,
waived
Example:

"pending"

notes
string | null

Optional notes; null preserves the current notes.

Example:

"Logo approved"

due_at
string<date-time> | null

Optional due date; null preserves the existing deadline.

Example:

"2026-12-20T18:00:00Z"

Response

Update a sponsor deliverable completed.

data
object